{% extends "ConcertoPanelBundle::form_h.html.twig" %}
{% set class_name = "User" %}
{% trans_default_domain "User" %}
{% set exportable = false %}

{% block legend %}
    {% verbatim %}{{formTitle}}{% endverbatim %}
{% endblock %}
{% block elements %}
    {% embed "ConcertoPanelBundle::form_h_element.html.twig" %}
        {% trans_default_domain "User" %}
        {% block label %}{{ 'form.field.login'|trans }}{% endblock %}
        {% block tooltip %}{{'form.field.login.tooltip'|trans}}{% endblock %}
        {% block control %}
            <input ng-model="object.username" type="text" style="width:100%;" class='form-control' ng-model-options='{ updateOn: "blur" }' />
        {% endblock %}
    {% endembed %}
    {% embed "ConcertoPanelBundle::form_h_element.html.twig" %}
        {% trans_default_domain "User" %}
        {% block label %}{{ 'form.field.password'|trans }}{% endblock %}
        {% block tooltip %}{{'form.field.password.tooltip'|trans}}{% endblock %}
        {% block control %}
            <input ng-model="object.password" type="password" style="width:100%;" class='form-control' ng-model-options='{ updateOn: "blur" }' />
        {% endblock %}
    {% endembed %}
    {% embed "ConcertoPanelBundle::form_h_element.html.twig" %}
        {% trans_default_domain "User" %}
        {% block label %}{{ 'form.field.passwordConfirmation'|trans }}{% endblock %}
        {% block tooltip %}{{'form.field.passwordConfirmation.tooltip'|trans}}{% endblock %}
        {% block control %}
            <input ng-model="object.passwordConfirmation" type="password" style="width:100%;" class='form-control' ng-model-options='{ updateOn: "blur" }' />
        {% endblock %}
    {% endembed %}
    {% embed "ConcertoPanelBundle::form_h_element.html.twig" %}
        {% trans_default_domain "User" %}
        {% block label %}{{ 'form.field.email'|trans }}{% endblock %}
        {% block tooltip %}{{'form.field.email.tooltip'|trans}}{% endblock %}
        {% block control %}
            <input ng-model="object.email" type="text" style="width:100%;" class='form-control' ng-model-options='{ updateOn: "blur" }' />
        {% endblock %}
    {% endembed %}

    {% embed "ConcertoPanelBundle::form_h_element.html.twig" %}
        {% trans_default_domain "User" %}
        {% block label %}{{ 'form.field.accessibility'|trans }}{% endblock %}
        {% block tooltip %}{{'form.field.accessibility.tooltip'|trans}}{% endblock %}
        {% block control %}
            <select ng-model="object.accessibility" style="width:100%;" ng-options="accessibility.value as accessibility.label for accessibility in accessibilities" class='form-control'>
            </select>
        {% endblock %}
    {% endembed %}

    {% embed "ConcertoPanelBundle::form_h_element.html.twig" %}
        {% trans_default_domain "User" %}
        {% block label %}{{ 'form.field.archived'|trans }}{% endblock %}
        {% block tooltip %}{{'form.field.archived.tooltip'|trans}}{% endblock %}
        {% block control %}
            <input type="checkbox" ng-model="object.archived" ng-true-value="'1'" ng-false-value="'0'" />
        {% endblock %}
    {% endembed %}

    {% embed "ConcertoPanelBundle::form_h_element.html.twig" %}
        {% trans_default_domain "User" %}
        {% block label %}{{ 'form.field.role_super_admin'|trans }}{% endblock %}
        {% block tooltip %}{{'form.field.role_super_admin.tooltip'|trans}}{% endblock %}
        {% block control %}
            <input ng-model="object.role_super_admin" type="checkbox" ng-true-value="'1'" ng-false-value="'0'" />
        {% endblock %}
    {% endembed %}

<!-- @TODO element shouldn't be cut in half -->
    {% embed "ConcertoPanelBundle::form_h_element.html.twig" %}
        {% trans_default_domain "User" %}
        {% block div %}<div class="horizontalElement center" ng-hide="object.role_super_admin == '1'">{% endblock %}
            {% block label %}{{ 'form.field.role_test'|trans }}{% endblock %}
            {% block tooltip %}{{'form.field.role_test.tooltip'|trans}}{% endblock %}
            {% block control %}
                <input ng-model="object.role_test" type="checkbox" ng-true-value="'1'" ng-false-value="'0'" />
            {% endblock %}
        {% endembed %}

        {% embed "ConcertoPanelBundle::form_h_element.html.twig" %}
            {% trans_default_domain "User" %}
            {% block div %}<div class="horizontalElement center" ng-hide="object.role_super_admin == '1'">{% endblock %}
                {% block label %}{{ 'form.field.role_template'|trans }}{% endblock %}
                {% block tooltip %}{{'form.field.role_template.tooltip'|trans}}{% endblock %}
                {% block control %}
                    <input ng-model="object.role_template" type="checkbox" ng-true-value="'1'" ng-false-value="'0'" />
                {% endblock %}
            {% endembed %}

            {% embed "ConcertoPanelBundle::form_h_element.html.twig" %}
                {% trans_default_domain "User" %}
                {% block div %}<div class="horizontalElement center" ng-hide="object.role_super_admin == '1'">{% endblock %}
                    {% block label %}{{ 'form.field.role_table'|trans }}{% endblock %}
                    {% block tooltip %}{{'form.field.role_table.tooltip'|trans}}{% endblock %}
                    {% block control %}
                        <input ng-model="object.role_table" type="checkbox" ng-true-value="'1'" ng-false-value="'0'" />
                    {% endblock %}
                {% endembed %}

                {% embed "ConcertoPanelBundle::form_h_element.html.twig" %}
                    {% trans_default_domain "User" %}
                    {% block div %}<div class="horizontalElement center" ng-hide="object.role_super_admin == '1'">{% endblock %}
                    {% block label %}{{ 'form.field.role_file'|trans }}{% endblock %}
                    {% block tooltip %}{{'form.field.role_file.tooltip'|trans}}{% endblock %}
                    {% block control %}
                        <input ng-model="object.role_file" type="checkbox" ng-true-value="'1'" ng-false-value="'0'" />
                    {% endblock %}
                {% endembed %}

                    {% embed "ConcertoPanelBundle::form_h_element.html.twig" %}
                        {% trans_default_domain "User" %}
                        {% block div %}<div class="horizontalElement center" ng-hide="object.role_super_admin == '1'">{% endblock %}
                        {% block label %}{{ 'form.field.role_wizard'|trans }}{% endblock %}
                        {% block tooltip %}{{'form.field.role_wizard.tooltip'|trans}}{% endblock %}
                        {% block control %}
                            <input ng-model="object.role_wizard" type="checkbox" ng-true-value="'1'" ng-false-value="'0'" />
                        {% endblock %}
                    {% endembed %}

                    {% if app.user and is_granted('ROLE_SUPER_ADMIN') %}

                        {% embed "ConcertoPanelBundle::form_h_element.html.twig" %}
                            {% trans_default_domain "User" %}
                            {% block label %}{{ 'form.field.owner'|trans }}{% endblock %}
                            {% block tooltip %}{{'form.field.owner.tooltip'|trans}}{% endblock %}
                            {% block control %}
                                <select ng-model="object.owner" style="width:100%;" ng-options="owner.id as owner.username for owner in userCollectionService.collection | filter : {'archived':'!1'} | orderBy: 'username' " class='form-control'>
                                    <option value="">{{"none.choosen"|trans({},"panel")}}</option>
                                </select>
                            {% endblock %}
                        {% endembed %}

                        {% embed "ConcertoPanelBundle::form_h_element.html.twig" %}
                            {% trans_default_domain "User" %}
                            {% block label %}{{ 'form.field.groups'|trans }}{% endblock %}
                            {% block tooltip %}{{'form.field.groups.tooltip'|trans}}{% endblock %}
                            {% block control %}
                                <input type="text" ng-model="object.groups" style="width:100%;" class='form-control' ng-model-options='{ updateOn: "blur" }' />
                            {% endblock %}
                        {% endembed %}
                    {% endif %}

{% endblock %}
